Package net.rubygrapefruit.platform.internal

# Class AbstractTerminal

java.lang.Object
net.rubygrapefruit.platform.internal.AbstractTerminal

All Implemented Interfaces:
  `Terminal`

Direct Known Subclasses:
  `AnsiTerminal`, `TerminfoTerminal`, `WindowsTerminal`, `WrapperTerminal`

public abstract class AbstractTerminal extends Object implements Terminal

## Nested Class Summary

## Nested classes/interfaces inherited from interface net.rubygrapefruit.platform.Terminal

`Terminal.Color`

## Constructor Summary

Constructors
Constructor
Description
`AbstractTerminal()`

## Method Summary

Modifier and Type
Method
Description
`protected abstract void`
`init()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.rubygrapefruit.platform.Terminal

`bold, clearToEndOfLine, cursorDown, cursorLeft, cursorRight, cursorStartOfLine, cursorUp, foreground, getTerminalSize, normal, reset, supportsColor, supportsCursorMotion, supportsTextAttributes`

## Constructor Details

### AbstractTerminal

public AbstractTerminal()

## Method Details

### init

protected abstract void init()